Exrid [DEPRECATED]

Exrid [DEPRECATED] (not supported)

  • $39.00
    Compatible: 5.2.0.x - 5.3.5.x
1 year of free upgrades
Don’t see your version? Contact us
Author: Qualiteam
Previous image
Exrid [DEPRECATED]
Next image
Zoom image

Attention! This module is not supported.


Enables taking credit card payments for your online store via EXRID payment gateway (Iran).

Please to add review
There are no comments yet. Be the first to leave a comment